#include <stdio.h>
#include "CommonWithDsp/registerIndices.h"

#define func(name) printf(" {0x%x,\t\"%s\"},\n", name, #name)

int main() {
  printf("struct regIds { int id; char *name; };\n");
  printf("struct regIds regNames[] = {\n");
  func(RRIF_CODE_VERSION);
  func(RRIF_CMND_0);
  func(RRIF_CMND_1);
  func(RRIF_STATUS_0);
  func(RRIF_STATUS_1);
  func(FE_CMND_MASK_0_LO);
  func(FE_CMND_MASK_0_HI);
  func(FE_CMND_MASK_1_LO);
  func(FE_CMND_MASK_1_HI);
  func(CAL_CMND);

  func(FMT_LINK_OCC_CNT(0, 0));
  func(FMT_LINK_OCC_CNT(0, 1));
  func(FMT_LINK_OCC_CNT(1, 0));
  func(FMT_LINK_OCC_CNT(1, 1));

  func(ERROR_MASK(0, 0));
  func(ERROR_MASK(0, 1));
  func(ERROR_MASK(1, 0));
  func(ERROR_MASK(1, 1));

  func(RTR_CMND_STAT);
  func(DM_DFLT_LUT(0));
  func(DM_DFLT_LUT(1));
  printf("   // End of registers\n");
  printf("   // Last register is 0x%x\n", LAST_ROD_REG);
  printf(" {-1,\t\"\"}\n};\n");

  return 0;
}

