package DisplayGUI;


/**
 * 
 * @author  robinson

 */

public class SCTDBAssemblyInfo {

    /**
     */
    int index, row, pos;
    // index - SCTDB position index
    // row - barrle row
    // pos - module position -6 to -1 and 1 to 6
    // view - SCT component 0-3 barrels 3-6, 4-12 endcaps -1 to -9, 13-21 encaps 1 to 9

    public SCTDBAssemblyInfo(String sIndex) {
       init(Integer.parseInt(sIndex));
       }

    public SCTDBAssemblyInfo(int index) {
      init(index);
      }
    private void init(int index) {
      this.index=index;
      int thisIndex=index-1;
      row = thisIndex/12;
      int thisPos = thisIndex%12;
      pos = (thisPos<6) ? thisPos-6 : thisPos-5;
      }

    public SCTDBAssemblyInfo(int row, int pos) {
       this.row=row;
       this.pos=pos;

       int mpos = pos+6;
       if(mpos<6) mpos++;
       index = row*12 + mpos;
       }


    public int getIndex() {
        return index;
	}
    public int getRow() {
        return row;
	}

    public int getPos() {
        return pos;
	}
}