/*
 * ServiceStatusFrame.java
 *
 */

package DisplayGUI;
import GuiComponents.Panels.ServiceStatusGUI;

/**
 *
 * @author  robinson
 */
public class ServiceStatusFrame extends javax.swing.JFrame implements displayParams {

    private javax.swing.JButton okButton;
    ServiceStatusGUI g;

    /** Creates new form ServiceStatusFrame */
    public ServiceStatusFrame() {
       initComponents();

    }
    


    private void initComponents() {

        getContentPane().setBackground(backgroundColor);
        g = new ServiceStatusGUI();

	getContentPane().setLayout(new javax.swing.BoxLayout(getContentPane(), javax.swing.BoxLayout.PAGE_AXIS));
        getContentPane().add(g);
	g.setAlignmentX(java.awt.Component.CENTER_ALIGNMENT);
        getContentPane().add(javax.swing.Box.createRigidArea(new java.awt.Dimension(0,3)));

        okButton = new javax.swing.JButton();
        okButton.setText(" Close ");
        okButton.setFont(displayScaleFont);
        okButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                okButtonActionPerformed(evt);
            }
        });
	getContentPane().add(okButton);
	okButton.setAlignmentX(java.awt.Component.CENTER_ALIGNMENT);
	getContentPane().add(javax.swing.Box.createRigidArea(new java.awt.Dimension(0,3)));


	setDefaultCloseOperation(javax.swing.JFrame.DO_NOTHING_ON_CLOSE); // must use close button

        pack();
        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        java.awt.Dimension WSize = getSize();
        setLocation((screenSize.width-(int)WSize.getWidth())/2,(screenSize.height-(int)WSize.getHeight())/2);

	show();
    }
    
    
    public void refresh() {
       g.fillTable();
       g.subscribe();
       show();
       }




    private void okButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bOKActionPerformed
        setVisible(false);
	g.unsubscribe();
    }//GEN-LAST:event_bOKActionPerformed
    
    /** Closes the dialog */
    private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
        setVisible(false);
	g.unsubscribe();
    }//GEN-LAST:event_closeDialog



    
    
}
