#ifndef SCTDATA_OPERESULTIOHELPER_H
#define SCTDATA_OPERESULTIOHELPER_H
#include "OpeResult.h"
#include <memory>

namespace SctData{
/** allows setting the UniqueID of the OpeResult class */
class OpeResultIOHelper{
 public:
  /** constructor takes a OpeResult as its argument */
  OpeResultIOHelper();
  /** allows creation of a OpeResult without UniqueID */
  std::auto_ptr<OpeResult> create();
  /** set with a OpeResult so that methods can be used */
  void set(OpeResult& r);
  /** sets the UniqueID of the OpeResult it was constructed with*/
  void setUniqueID(const Sct::UniqueID& id);
 private:
  OpeResult* result;
};
}

#endif
