{
TScanDef nmask;

nmask.trigsPerBurst = 100;
// nmask.configure(9, 128, 0, -1);
nmask.configure(9, 0, 128, 1);
nmask.trigSequence.singleL1A();
// nmask.trigSequence.softL1A(20);

// nmask.full = 0;
// nmask.bits32 = 0;
// nmask.loopCalLine = 0;
nmask.distSlave = 1;
// nmask.debug = 0;
// nmask.tim = 0;


// Stall histogram on first error
// tapi.setDebugOption("scan_auto_stall");

// Use slave 2 to trap all events in error mode
// tapi.setDebugOption("scan_error_trap");

// Go into step mode, step is toggled by bit 7 of MDSP diagnostic register
// tapi.setDebugOption("scan_step_mode");

// Use the "mode bits" in the ROD formatters not the DSP (should be faster)
// tapi.setDebugOption("scan_rod_mode_bits");

tapi.modifyABCDVar(11, 1.0);
tapi.modifyABCDVar(13, 0.0);
tapi.modifyABCDVar(14, 1.0);     // Send mask bit
tapi.doScan(nmask);
tapi.awaitScan();

// Turn all options off afterwards
// tapi.unsetDebugOption("scan_auto_stall");
// tapi.unsetDebugOption("scan_error_trap");
// tapi.unsetDebugOption("scan_step_mode");
// tapi.unsetDebugOption("scan_rod_mode_bits");

}
