{
TScanDef thresh;

thresh.trigsPerBurst = 1000;

thresh.loopCalLine = 1;
thresh.trigSequence.calL1A(0x82);

thresh.distSlave = 1;

tapi.modifyABCDVar(11, 1.0);
tapi.modifyABCDVar(13, 0.0);
tapi.modifyABCDVar(14, 0.0);    // Send mask off

Float_t charges[10] = {0.5, 0.75, 1.0, 1.25, 1.5,
                       2.0, 3.0, 4, 6, 8};

for(int i=0; i<10; i++) {
  Float_t lo = 30.0 * (charges[i] - 1);
  Float_t hi = 200.0 + 70.0 * (charges[i] - 1);

  if(lo < 0.0) lo = 0.0;

  if(hi>640.0) hi = 640.0;

  thresh.configure(1, lo, hi, 5);

  tapi.modifyABCDVar(42, charges[i]);
  tapi.doScan(thresh);
  if(i!=9) tapi.awaitScan();
}
}
